%define name		activecluster
%define version		1.0
%define release		1jpp
%define	section		free


Name:		%{name}
Summary:	ActiveCluster framework
Url:		http://activecluster.codehaus.org/
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	Apache Software License 2.0
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
Source0:	http://dist.codehaus.org/activecluster/distributions/activecluster-1.0-src.tar.gz
Source1:        pom-maven2jpp-depcat.xsl
Source2:        pom-maven2jpp-newdepmap.xsl
Source3:        pom-maven2jpp-mapdeps.xsl
Source4:        activecluster-1.0-jpp-depmap.xml

BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:	maven
BuildRequires:	junit
BuildRequires:	activemq
BuildRequires:	jakarta-commons-logging
BuildRequires:	concurrent
BuildRequires:	geronimo-specs
BuildRequires:	jdbm
Requires:	activemq
Requires:	jakarta-commons-logging
Requires:	concurrent
Requires:	geronimo-specs
Requires:	jdbm
Obsoletes:	%{name}-bootstrap
Provides:	%{name}-bootstrap
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
ActiveCluster is a framework for writing cluster-based 
applications, monitoring the available nodes in a cluster 
and communicating with them. ActiveCluster consists of an 
API together with a default implementation.
The API is simple and small which reuses a few of the 
standard JMS APIs for Message, Destination, 
MessageListener and adds a few simple interfaces for 
working with clusters representing nodes in the cluster, 
replicated node state and listeners to nodes joining, 
leaving or updating their state.


%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}

chmod -R go=u-w *
for f in $(find . -name "*.jar"); do
#  mv $f $f.no
  rm $f 
done
# this test is failing
rm src/test/org/codehaus/activecluster/ClusterTest.java

export DEPCAT=$(pwd)/activecluster-1.0-depcat.new.xml
echo '<?xml version="1.0" standalone="yes"?>' > $DEPCAT
echo '<depset>' >> $DEPCAT
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    /usr/bin/saxon project.xml %{SOURCE1} >> $DEPCAT
    popd
done
echo >> $DEPCAT
echo '</depset>' >> $DEPCAT
/usr/bin/saxon $DEPCAT %{SOURCE2} > activecluster-1.0-depmap.new.xml


%build
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    cp project.xml project.xml.orig
    /usr/bin/saxon -o project.xml project.xml.orig %{SOURCE3} map=%{SOURCE4}
    popd
done

for p in $(find . -name project.properties); do
    echo >> $p
    echo maven.repo.remote=file:/usr/share/maven-1.0/repository >> $p
    echo maven.home.local=$(pwd)/.maven >> $p
done

mkdir -p .maven/repository/JPP/jars
build-jar-repository -s -p .maven/repository/JPP/jars \
activemq/activemq \
commons-logging \
concurrent \
geronimo/spec-jms-1.1 \
geronimo/spec-jta-1.0.1B \
geronimo/spec-j2ee-management-1.0 \
jdbm \
junit \



maven -Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$(pwd)/.maven test:test jar:jar javadoc:generate

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}

install -m 644 target/%{name}-%{version}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(-,root,root)
%doc README.txt
%{_javadir}/*

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Mon Mar 14 2005 Ralph Apel <r.apel at r-apel.de> 0:1.0-1jpp
- First release

